    <nav class="navbar navbar-inverse">
      <div class="container">
        <div class="navbar-header">
          <img width="55px" height="55px"  src="../../../assets/img/pesa.png">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" [routerLink]="['/']" >Pesä</a>
        </div>
        <div id="navbar" class="collapse navbar-collapse">
          <ul class="nav navbar-nav navbar-left">
            <li><a [routerLink]="['/']">Etusivu</a></li>
            <li><a [routerLink]="['/listings']">Vahinhavainnot</a></li>
            <li><a [routerLink]="['/add-listing']">Uusi vahinkohavainto</a></li>
          </ul>
          <ul class="nav navbar-nav navbar-right">
            <li *ngIf="(user | async)"><a [routerLink]="['/profile']"><img  width="20px" height="20px" [src]='avatar' class="profile-image img-circle">  {{ username }}
            
            </a></li>
            <li *ngIf="!(user | async)"><a (click)="login()">Login</a></li>
            <li *ngIf="(user | async)"><a (click)="logout()">Logout</a></li>
            <li><a (click)="testMethod()">ClearCache</a></li>
          </ul>
        </div><!--/.nav-collapse -->
      </div>
    </nav>